Bug 59015 - Kernel opps when ripping cds
Kernel opps when ripping cds
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-29 05:52 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-29 05:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-29 05:52:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
With any redhat kernel newer than 2.4.9-7, ripping and encoding a cd with grip
and lame will cause a kernel oops. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot with athlon kernel newer than 2.4.9-7 (e.g. 2.4.9-21)
2.Start grip, insert a CD, start ripping contents
3.Machine will lock up within 10 minutes
 

Actual Results:  Jan 29 20:27:37 tetsuo kernel: Unable to handle kernel NULL
pointer dereference at virtual address 00000298
Jan 29 20:27:37 tetsuo kernel:  printing eip:
Jan 29 20:27:37 tetsuo kernel: c0207790
Jan 29 20:27:37 tetsuo kernel: *pde = 00000000
Jan 29 20:27:37 tetsuo kernel: Oops: 0002
Jan 29 20:27:37 tetsuo kernel: CPU:    0
Jan 29 20:27:37 tetsuo kernel: EIP:    0010:[fast_clear_page+32/96]    Not tainted
Jan 29 20:27:37 tetsuo kernel: EIP:    0010:[<c0207790>]    Not tainted
Jan 29 20:27:37 tetsuo kernel: EFLAGS: 00010246
Jan 29 20:27:37 tetsuo kernel: EIP is at fast_clear_page [kernel] 0x20
Jan 29 20:27:37 tetsuo kernel: eax: 0000003f   ebx: 00000298   ecx: 00000000  
edx: c38a8000
Jan 29 20:27:37 tetsuo kernel: esi: c4a12e40   edi: c12aecc0   ebp: c3e5bcf8  
esp: c38a9e6c
Jan 29 20:27:37 tetsuo kernel: ds: 0018   es: 0018   ss: 0018
Jan 29 20:27:38 tetsuo kernel: Process cdparanoia (pid: 2423, stackpage=c38a9000)
Jan 29 20:27:38 tetsuo kernel: Stack: c10effcc c01251f9 00000298 00000286
c38a9f2c c7a72bc0 c88975a4 00000000
Jan 29 20:27:38 tetsuo kernel:        c12aecc0 c4a12e40 00000001 c0125262
c4a12e40 c12aecc0 c3e5bcf8 00000001
Jan 29 20:27:38 tetsuo kernel:        4033e310 c12aecc0 ffffffff 00000001
c4a12e40 c01253a5 c4a12e40 c12aecc0
Jan 29 20:27:38 tetsuo kernel: Call Trace: [do_anonymous_page+169/224]
do_anonymous_page [kernel] 0xa9
Jan 29 20:27:38 tetsuo kernel: Call Trace: [<c01251f9>] do_anonymous_page
[kernel] 0xa9
Jan 29 20:27:38 tetsuo kernel:
[ppp_synctty:__insmod_ppp_synctty_O/lib/modules/2.4.9-21/kernel/drivers/+-248412/96]
scsi_mark_host_reset_R9145ca82 [scsi_mod] 0x584
Jan 29 20:27:38 tetsuo kernel: [<c88975a4>] scsi_mark_host_reset_R9145ca82
[scsi_mod] 0x584
Jan 29 20:27:38 tetsuo kernel: [do_no_page+50/272] do_no_page [kernel] 0x32
Jan 29 20:27:38 tetsuo kernel: [<c0125262>] do_no_page [kernel] 0x32
Jan 29 20:27:38 tetsuo kernel: [handle_mm_fault+101/224] handle_mm_fault
[kernel] 0x65
Jan 29 20:27:38 tetsuo kernel: [<c01253a5>] handle_mm_fault [kernel] 0x65
Jan 29 20:27:38 tetsuo kernel: [do_page_fault+0/1168] do_page_fault [kernel] 0x0
Jan 29 20:27:38 tetsuo kernel: [<c0113850>] do_page_fault [kernel] 0x0
Jan 29 20:27:38 tetsuo kernel: [do_page_fault+378/1168] do_page_fault [kernel] 0x17a
Jan 29 20:27:38 tetsuo kernel: [<c01139ca>] do_page_fault [kernel] 0x17a
Jan 29 20:27:38 tetsuo kernel: [sys_read+194/208] sys_read [kernel] 0xc2
Jan 29 20:27:38 tetsuo kernel: [<c0135aa2>] sys_read [kernel] 0xc2
Jan 29 20:27:38 tetsuo kernel: [do_page_fault+0/1168] do_page_fault [kernel] 0x0
Jan 29 20:27:38 tetsuo kernel: [<c0113850>] do_page_fault [kernel] 0x0
Jan 29 20:27:38 tetsuo kernel: [error_code+56/64] error_code [kernel] 0x38
Jan 29 20:27:38 tetsuo kernel: [<c0107058>] error_code [kernel] 0x38
Jan 29 20:27:38 tetsuo kernel:
Jan 29 20:27:38 tetsuo kernel:
Jan 29 20:27:38 tetsuo kernel: Code: 0f e7 03 0f e7 43 08 0f e7 43 10 0f e7 43
18 0f e7 43 20 0f
Jan 29 20:27:38 tetsuo kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Jan 29 20:27:38 tetsuo kernel:  printing eip:
Jan 29 20:27:38 tetsuo kernel: c020780a
Jan 29 20:27:38 tetsuo kernel: *pde = 00000000
Jan 29 20:27:38 tetsuo kernel: Oops: 0002
Jan 29 20:27:38 tetsuo kernel: CPU:    0
Jan 29 20:27:38 tetsuo kernel: EIP:    0010:[fast_copy_page+58/240]    Not tainted
Jan 29 20:27:38 tetsuo kernel: EIP:    0010:[<c020780a>]    Not tainted
Jan 29 20:27:38 tetsuo kernel: EFLAGS: 00010246
Jan 29 20:27:38 tetsuo kernel: EIP is at fast_copy_page [kernel] 0x3a
Jan 29 20:27:38 tetsuo kernel: eax: 0000003a   ebx: c3f6e000   ecx: 00000000  
edx: c5bfa000
Jan 29 20:27:38 tetsuo kernel: esi: 00000000   edi: 03f6e065   ebp: c5ac0500  
esp: c5bfbe8c
Jan 29 20:27:38 tetsuo kernel: ds: 0018   es: 0018   ss: 0018
Jan 29 20:27:38 tetsuo kernel: Process grip (pid: 1672, stackpage=c5bfb000)
Jan 29 20:27:38 tetsuo kernel: Stack: c10f05a0 c110d948 c0124cfa 00000000
c3f6e000 00000217 c02b7f84 00000000
Jan 29 20:27:38 tetsuo kernel:        c02b7f20 402ab984 ffffffff 00000001
c5ac0500 c01253de c5ac0500 c51917c0
Jan 29 20:27:39 tetsuo kernel:        402ab984 c55bdaac 03f6e065 c4dcf000
c01254a8 c4dcf000 00117600 c54f0fe8
Jan 29 20:27:39 tetsuo kdm[1477]: Server for display :0 terminated unexpectedly
Jan 29 20:27:39 tetsuo kernel: Call Trace: [do_wp_page+666/784] do_wp_page
[kernel] 0x29a
Jan 29 20:27:39 tetsuo su(pam_unix)[1795]: session closed for user root
Jan 29 20:27:39 tetsuo kernel: Call Trace: [<c0124cfa>] do_wp_page [kernel] 0x29a
Jan 29 20:27:39 tetsuo kernel: [handle_mm_fault+158/224] handle_mm_fault
[kernel] 0x9e
Jan 29 20:27:39 tetsuo kernel: [<c01253de>] handle_mm_fault [kernel] 0x9e
Jan 29 20:27:39 tetsuo kernel: [pte_alloc+88/192] pte_alloc [kernel] 0x58
Jan 29 20:27:40 tetsuo kernel: [<c01254a8>] pte_alloc [kernel] 0x58
Jan 29 20:27:40 tetsuo kernel: [copy_page_range+276/432] copy_page_range
[kernel] 0x114
Jan 29 20:27:40 tetsuo kernel: [<c0123cd4>] copy_page_range [kernel] 0x114
Jan 29 20:27:40 tetsuo kernel: [_mmx_memcpy+78/240] _mmx_memcpy [kernel] 0x4e
Jan 29 20:27:40 tetsuo kernel: [<c02076ce>] _mmx_memcpy [kernel] 0x4e
Jan 29 20:27:40 tetsuo kdm[1477]: Server unexpectedly died
Jan 29 20:27:40 tetsuo kernel: [do_page_fault+0/1168] do_page_fault [kernel] 0x0
Jan 29 20:27:40 tetsuo kernel: [<c0113850>] do_page_fault [kernel] 0x0
Jan 29 20:27:40 tetsuo kernel: [do_page_fault+378/1168]do_page_fault [kernel] 0x17a

Expected Results:  No lockup, everything rip successfully

Additional info:

Athlon 1GHz
ASUS A7V133
128Mb RAM
Comment 1 Need Real Name 2002-02-14 19:02:11 EST
Replaced RAM on machine, no more oopses.

Note You need to log in before you can comment on or make changes to this bug.